#!/bin/bash

ROOT_DIR=$(dirname $(realpath $0))

if [ ! -d "$WINEPREFIX" ];then
    echo "WINEPREFIX:$WINEPREFIX is a invaild dir"
    exit
fi

if [ -z "$WINE" ];then
    echo "WINE runner not set"
    exit
fi

if [ "$1" == "disable" ];then
    $WINE regedit /s "$ROOT_DIR/disable_safe_font.reg"
    $WINE reg DELETE 'HKCU\Software\Wine\Fonts\whitelist' /f
else
    $WINE reg DELETE 'HKCU\Software\Wine\LoadFontsCfg' /f
    $WINE regedit /s "$ROOT_DIR/enable_safe_font.reg"
fi

